@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,400i,500,600,700');

// Retina
// ===========
@import "retinajs/dist/retina.scss";

@import "bootstrap/scss/functions";
@import "bootstrap-variables"; // Custom variables
@import "bootstrap/scss/mixins";

@import "custom-variables";
@import "mixins";
@import "animations";

@import "sprite";
@import "layout/general";
// @import "layout/fonts";
@import "layout/utilities";
@import "layout/header";

//- Preloader

#preloader {
  position: fixed;
  width: 100vw;
  height: 100%;
  background-color: $header-bg;
  color: $yellow;
  z-index: 1040;
  top: 0;

  .txt {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  .txt-perc {
    font-size: 3rem;
    opacity: 1;
    margin: 0 0 6px 0;
    max-width: 400px;
    text-align: center;
    font-weight: 300;

    span {
    	font-size: 2rem;
    	display: inline-block;
    }
  }
  .progress {
    width: 100px;
    height: 3px;
    background-color: $gray-700;
    margin: 0 auto 15px auto;

    span {
      display: block;
      width: 0;
      height: 100%;
      background-color: $yellow;
    }
  }

  &.is-hidden {
    visibility: hidden;
    opacity: 0;
  }
}

.is-loading {
  overflow: hidden;
}


.neon-wrapper {
  // transition: transform 4s ease-out;
  // transform: scale(1.3);
  // transform-origin: top center;

  // .content {
    // background: aqua;
    // background-size: contain;
  // }

  .content {
    background-image: url('../images/cover/g/g.png');
    background-size: auto 100%;
  }

  &.turn-on .content {
    // background: aqua !important;
  // .content {
    animation: neon 2s steps(19) infinite alternate;
    z-index: 10;
    position: relative;
  }

  @include media-breakpoint-down(md) {
    width: 120%;
  }
  @include media-breakpoint-down(sm) {
    width: 100%;
  }

  // &.is-loaded {
  //   transform: scale(1);
  // }
}

.cover.apagado {
  position: relative;
  // @include grayscale(100%);

  .overlay {
    display: block;
    background: rgba(0,0,0, 0.6);
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
  }

  .neon-wrapper .content {
    animation: neonapagado 2s steps(10) infinite alternate;
    background-size: auto 100%;
  }

  .neon-wrapper img {
    // -webkit-filter: grayscale(.4);
    // filter: grayscale(.4);
    @include grayscale(100%);
  }

  .h1, .h5, .ease {
    z-index: 5;
    position: relative;
  }
  .neon {
    z-index: 3;
  }
}

//- Header

.header-wrapper {
  z-index: 10;
}

.header {
  background: $header-bg;
  padding: 30px 0;
  height: 120px;
  transition: all 0.4s ease-out;

  .sticky & {
    margin-top: -120px;

    @include media-breakpoint-down(sm) {
      margin-top: 0px;
    }
  }

  @include media-breakpoint-down(sm) {
    padding: 15px 0;
    height: 72px;
  }

  .logo {
  	width: 154px;
  	height: auto;
    display: none;

  	img {
	    min-width: 100%;
  	}

  	@include media-breakpoint-down(sm) {
  	  max-width: 110px;
  	}
  }
}

.navbar-toggler {
  position: absolute;
  top: 15px;
  left: 13px;
  border-radius: 0;
  border: none;
  overflow: hidden;
  width: 20px;
  height: 16px;
  transform: rotate(0deg);
  transition: .5s ease-in-out;
  cursor: pointer;
}

.navbar-toggler span {
  display: block;
  position: absolute;
  height: 2px;
  width: 100%;
  background: $yellow;
  border-radius: 9px;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
  transition: .25s ease-in-out;
}

// hamburguesa

.navbar-toggler span:nth-child(1) {
  top: 0px;
}

.navbar-toggler span:nth-child(2),.navbar-toggler span:nth-child(3) {
  top: 7px;
  transform-origin: center;
}

.navbar-toggler span:nth-child(4) {
  top: 14px;
}

.navbar-toggler[aria-expanded="true"] span:nth-child(1) {
  top: -10px;
}

.navbar-toggler[aria-expanded="true"] span:nth-child(2) {
  transform: rotate(45deg);
}

.navbar-toggler[aria-expanded="true"] span:nth-child(3) {
  transform: rotate(-45deg);
}

.navbar-toggler[aria-expanded="true"] span:nth-child(4) {
  top: 18px;
}


//- Menu
.menu {
  background-color: $nav-bg;
  height: 50px;

  @include media-breakpoint-down(md) {

    .container {
      max-width: 100%;
    }
  }

  @include media-breakpoint-down(sm) {
    height: auto;
    padding: 0 0;
  }

  ul {
    li {

      a {
        @include media-breakpoint-down(xs) {
          padding: 7px 0;
          font-size: 1.6rem;
        }
      }

    	&:not(:first-child) {
        margin: 0 0 0 130px;

        @include media-breakpoint-down(lg) {
	        margin: 0 0 0 110px;
		    }
		    @include media-breakpoint-down(md) {
	        margin: 0 0 0 60px;
		    }
		    @include media-breakpoint-down(sm) {
		      margin: 0;
		    }
      }

      &:not(:last-child) {

        a {
          position: relative;

          &:after {
            content: "";
            position: absolute;
            width: 1px;
            height: 13px;
            top: 10px;
            right: -70px;
            background-color: lighten($nav-bg, 30%);

            @include media-breakpoint-down(lg) {
	            right: -55px;
				    }
				    @include media-breakpoint-down(md) {
	            right: -30px;
				    }
				    @include media-breakpoint-down(sm) {
				      display: none;
				    }
          }
        }
      }

      span {
        @extend .ease;
        padding: 1px 7px;
      }

      & a.active, & a:hover, & a:focus {
        span {
          background-color: $yellow;
          color: $nav-bg;
          border-radius: 3px;
        }
      }
    }
  }

  .navbar-collapse {

  	@include media-breakpoint-down(sm) {
  	  padding: 10px 0;
  	}
  }
}

//- Cover
.cover {
  background-color: $black;
  min-height: 300px;
  overflow: hidden;

  @include retina('../images/cover/bg-cover.png', 2, contain, calc(50% - 230px) 50% no-repeat $black);

  @include media-breakpoint-down(md) {
    background-size: cover;
  }

  @include media-breakpoint-up(sm) {
    height: calc(100vh - 130px);
  }

  @include media-breakpoint-down(xs) {
    background-position: center;
    min-height: calc(100vh - 72px);
    max-height: 740px;
  }


  &-size {
  	height: calc(100vh - 170px);
  	max-height: 660px;

  	@include media-breakpoint-down(sm) {
  	  height: auto;
  	  max-height: auto;
  	}
  }

  .overlay {
    display: none;
  }


  .title {
    font-size: 3.429rem;
    margin-top: -40px;

    @include media-breakpoint-down(md) {
      font-size: $h1-font-size;
    }

    @include media-breakpoint-down(sm) {
  	  margin-top: 10px;
  	  font-size: $h2-font-size;
  	}
    @include media-breakpoint-down(xs) {
      margin-top: 30px;
    }
  }
  .text {
    line-height: 1.4;
    position: relative;
  }

  .neon {
  	border-color: transparent;
  	width: 411px;
  	height: 522px;

  	img {
	    min-width: 100%;
  	}

  	@include media-breakpoint-down(sm) {
  	  width: 283px;
  	  height: 359px;
  	}
    @include media-breakpoint-down(xs) {
      margin-top: -30px;
    }
  }

  .humo {
  	bottom: 0;
  	position: absolute;
  	pointer-events: none;
  }
  .cable {
  	top: -45px;
    left: 40px;
    margin-left: 0;
    position: absolute;
    width: 490px;
    height: auto;
    pointer-events: none;

    @include media-breakpoint-down(sm) {
      top: -45px;
      left: 10px;
      width: 380px;
    }
  }
}

.cover {

  .flex-wrap-reverse {
    @include media-breakpoint-down(xs) {
      min-height: calc(100vh - 72px);
    }
  }
}

// .brand {

//   .section-title {
//     opacity: 0
//     // visibility:hidden;
//   }
// }

//- Section 2
.cofee {
  right: -220px;
  position: absolute;
  opacity: 0;

  @include media-breakpoint-down(lg) {
    right: -240px;
  }
  @include media-breakpoint-down(md) {
    right: -190px;
  }
  @include media-breakpoint-down(sm) {
    position: relative;
    transform: translateY(0%);
    margin: 0 auto;
    right: auto;
    margin-right: -120px;
    margin-bottom: -30px;
  }
  // @include media-breakpoint-down(xs) {
  //   margin-right: -180px;
  // }
}

//- About us
.about {
	height: 520px;

  & .row.h-100 {
    height: auto !important;
  }
}

.lampara {
  max-width: 680px;
  width: 100%;
  top: 0;
  right: -80px;
  position: absolute;
  // overflow: hidden;
  z-index: 2;

  @include media-breakpoint-down(md) {
    right: -120px;
  }

  @include media-breakpoint-down(sm) {
    right: -130px;
    max-width: 100%
  }

  .lamp {
    z-index: 3;
    max-width: 180px;
    top: 0;

    @include media-breakpoint-down(sm) {
      right: auto;
      margin-right: auto;
      margin-left: 0;
      left: 240px;
    }
    @include media-breakpoint-down(xs) {
      right: auto;
      margin-right: auto;
      margin-left: 30vw;
      left: 0;
      max-width: 100px;
    }
  }
  .bright {
    z-index: 1;
    top: -110px;
  }
  .light-img {
    z-index: 2;
    top: 165px;
    width: 645px;
    height: 500px;
    right: auto;
    margin-right: auto;
    margin-left: 0;
    left: 8px;

    @include media-breakpoint-down(xs) {
      z-index: 2;
      top: 95px;
      width: 390px;
      height: 500px;
      right: auto;
      margin-right: auto;
      margin-left: 28vw;
      left: -138px;
    }
  }
  .light-small {
    z-index: 2;
    top: 170px;
    border-right: 285px solid transparent;
    border-left: 285px solid transparent;
    border-bottom: 400px solid #fff903;
  }

  .light {
    z-index: 2;
    top: 170px;

    @include media-breakpoint-down(sm) {
      top: 60px;
    }
    @include media-breakpoint-down(xs) {
      height: 110%;
      top: -30px;
      left: -135px;
    }
  }
  .tree {
  	z-index: 2;
  	bottom: 20px;
  	max-width: 160px;

    @include media-breakpoint-down(sm) {
      right: auto;
      margin-right: auto;
      margin-left: 0;
      left: 250px;
    }

    @include media-breakpoint-down(xs) {
      right: auto;
      margin-right: auto;
      margin-left: 28vw;
      left: 0;
      max-width: 130px;
    }
  }
}
//- Why us
.why-us {
	background-color: $whyus-bg;
  cursor:url('http://guildin.com/guildin/images/mira@2x.png'), auto;

	.container:after {
		content: "";
    top: 0;
    left: -9750px;
    background: darken($whyus-bg, 2.5%);
    height: 100%;
    width: 10000px;
    position: absolute;
    z-index: 2;
    transform: skewX(30deg);
    z-index: 1;
    pointer-events: none;

    @include media-breakpoint-down(xs) {
      left: -9835px;
    }
	}

	.cubo {
		top: -65px;
		left: 0;

    @include media-breakpoint-down(xs) {
      max-width: 140px;
      margin-left: 10px;
    }
	}
	.cubo-bg {
		top: 30px;
    left: 10px;
      @include media-breakpoint-down(sm) {
        top: 30px;
        max-width: 95%;
      }
      @include media-breakpoint-down(xs) {
        top: -30px;
        max-width: 150px;
        left: 10px;
      }
	}
	.mira {
		top: 135px;
    left: 60%;
	}
}

//- Steps
.steps {

	.number {
		width: 150px;
		height: 150px;
		margin-left: auto;
		margin-right: auto;
		font-size: 95px;
    letter-spacing: -3pt;
    color: $gray-800;
    border: 5px solid #000;
    pointer-events: none;
    text-indent: -10pt;

    @include media-breakpoint-down(md) {
      margin-bottom: 30px;
    }
    @include media-breakpoint-down(sm) {
      font-size: 46px;
      width: 80px;
      height: 80px;
      margin-right: 20px;
    }

    &.active {
    	border: 5px solid $gray-800;
    }
	}

  .info {
    @include media-breakpoint-down(md) {
     height: auto !important;
    }
  }
}

//- Services
.services {
	overflow: hidden;
	position: relative;
  background-color: #FFF903;

	.container:after {
		content: "";
    top: 0;
    right: -10100px;
    background: #ffef00;
    height: 100%;
    width: 10000px;
    position: absolute;
    z-index: 2;
    transform: skewX(49deg);
    z-index: 1;
    pointer-events: none;

    @include media-breakpoint-down(sm) {
      display: none;
    }
	}

	.container:before {
		content: "";
    top: 0;
    right: -10150px;
    background: #ffef00;
    height: 100%;
    width: 10000px;
    position: absolute;
    z-index: 2;
    transform: skewX(-60deg);
    z-index: 1;
    pointer-events: none;

    @include media-breakpoint-down(sm) {
      display: none;
    }
	}

	.row:before {
		content: "";
    top: 0;
    right: -10200px;
    background: #ffef00;
    height: 100%;
    width: 10000px;
    position: absolute;
    z-index: 2;
    transform: skewX(-5deg);
    z-index: 1;
    pointer-events: none;
	}

	.computer {
		right: 0;
		z-index: 5;
    position: absolute;

    @include media-breakpoint-down(sm) {
      display: none;
    }
	}
}

.icon-service {
	width: 31px;
	height: 31px;
	position: absolute;

	&.icon-1 {
		@include retina('../images/sprite.png', 2, $icon-s1-total-width $icon-s1-total-height, $icon-s1-offset-x $icon-s1-offset-y no-repeat rgba(255,255,255, 0));
	}
	&.icon-2 {
		@include retina('../images/sprite.png', 2, $icon-s2-total-width $icon-s2-total-height, $icon-s2-offset-x $icon-s2-offset-y no-repeat rgba(255,255,255, 0));
	}
	&.icon-3 {
		@include retina('../images/sprite.png', 2, $icon-s3-total-width $icon-s3-total-height, $icon-s3-offset-x $icon-s3-offset-y no-repeat rgba(255,255,255, 0));
	}
	&.icon-4 {
		@include retina('../images/sprite.png', 2, $icon-s4-total-width $icon-s4-total-height, $icon-s4-offset-x $icon-s4-offset-y no-repeat rgba(255,255,255, 0));
	}
	&.icon-5 {
		@include retina('../images/sprite.png', 2, $icon-s5-total-width $icon-s5-total-height, $icon-s5-offset-x $icon-s5-offset-y no-repeat rgba(255,255,255, 0));
	}
	&.icon-6 {
		@include retina('../images/sprite.png', 2, $icon-s6-total-width $icon-s6-total-height, $icon-s6-offset-x $icon-s6-offset-y no-repeat rgba(255,255,255, 0));
	}
}

//- When
.when {
	background-color: $team-bg;

	.squares {
		bottom: 0;
		left: 0;
	}
}

//- Team
.team {
	overflow: hidden;
	min-height: 650px;
  position: relative;

  @include media-breakpoint-down(sm) {
    height: calc(100vh - 170px);
    min-height: 640px;
    max-height: 640px;
  }
  @include media-breakpoint-down(xs) {
    min-height: 500px;
    max-height: 500px;
  }

	.bubble {
		border-bottom: 1px solid;

		& ~ img {
			margin: -8px auto 0 auto;
			position: relative;
			display: block;
			pointer-events: none;

      @include media-breakpoint-down(xs) {
        margin: -7px auto 0 auto;
      }
		}
	}

	.telescope-wrapper {
		position: relative;
    position: absolute;
    bottom: 0;
    left: 0;

		img {
			z-index: 2;
			position: relative;
		}

		.image:after {
			content: "";
			width: 0;
			height: 0;
			border-top: 50px solid transparent;
			border-right: 10000px solid #302c2e;
	    border-bottom: 10000px solid transparent;
	    position: absolute;
	    top: -671px;
	    right: -12400px;
			transform: rotate(-30deg);
			z-index: 1;
			transform-origin: left;
			pointer-events: none;

      @include media-breakpoint-down(xs) {
        top: -697px;
        right: -12450px;
      }
		}
	}
}

.team-carousel {
	max-width: 160px;

  @include media-breakpoint-down(xs) {
    max-width: 120px;
    width: 100%;
  }

	li {
		margin-bottom: 15px;
		outline: none;

		img {
			max-width: 160px;

      @include media-breakpoint-down(xs) {
        max-width: 100px;
        width: 100%;
        height: auto;
      }

			&:focus {
				outline: none;
			}
		}
	}
}

//- Letter soup

.letter-soup {
	height: 620px;
	background: url('../images/_content/letras-full@2x.png') top no-repeat;
	background-size: contain;
	position: relative;

  @include media-breakpoint-down(lg) {
    height: 520px;
  }
  @include media-breakpoint-down(md) {
    height: 380px;
  }
  @include media-breakpoint-down(sm) {
    height: 290px;
  }
  @include media-breakpoint-down(xs) {
    height: 190px;
  }



	.compu {
		max-width: 400px;
		bottom: -190px;
		left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    pointer-events: none;

    @include media-breakpoint-down(sm) {
      max-width: 300px;
    }
    @include media-breakpoint-down(xs) {
      max-width: 240px;
      bottom: -120px;
    }
	}
}

//- Contact
.contact {

	.email {
		border-bottom: 1px solid $black;

		&:hover {
			opacity: 0.6;
		}
	}

	.social {
		a {

			&:hover {
				opacity: 0.8;
			}
		}
	}

	// Form
	.form-control {
		border-left: transparent;
		border-right: transparent;
		border-top: transparent;
		resize: none;

		&.error {
			border-bottom-color: $red;
		}
		&.valid {
			border-bottom-color: $green;
		}

		& + .error {
			color: $red;
			font-size: 12px;
			margin-top: 1px;
	    position: absolute;
		}
	}

	.btn-link {
		@extend .ease;
		cursor: pointer;
		font-size: $h4-font-size;
	  color: $black;
	  border-bottom: 1px solid $black !important;
	  padding-bottom: 5px;

	  @include hover-focus {
	    color: $gray-600;
	    border-bottom: 1px solid $gray-600 !important;
	  }
	}
}
